#ifndef PINE_TREE_HPP_
#define PINE_TREE_HPP_

#include <Decoration/Decoration.hpp>

class PineTree final : public Decoration
{
private:
    int grassID;

public:
    PineTree(int grassID);

    virtual void build(ISculptor &sculptor, GeneratorNode node, glm::ivec3 pos) override;
    virtual double getAverageDensity(const TerrainGenerator::Cell &cell, GeneratorNode node) override;
};

#endif